{block title}
    Task
{/block}
{block header}
    Úvod
{/block}

{block content}
<section>
    <div class="page-wrapper">
        <div class="container mt-4">
            <div class="content">
                <h1>Zadání</h1>

                <p>Napsat Nette aplikaci na zobrazování dat z dazabáze, konkrétně televizní kanály a jejich skupiny</p>

                <p>Aplikace obsahuje:</p>

                <ul>
                    <li>filtrovací komponentu</li>
                    <li>dynamicky překreslovaný snippet pomocí ajaxu</li>
                    <li>kanály jsou grupované podle skupiny do které patří (`channelGroup`)</li>
                    <li>kanály jsou seřazeny podle pořadí (`order`)</li>
                    <li>Kanály ve skupině jsou seřazeny podle pořadí (`order`)</li>
                </ul>

                <p>Kanály jsou filtrovány:</p>

                <ul>
                    <li>kategorie - `channelGroup` (multi-selectbox)</li>
                    <li>jméno - `name` (text)</li>
                    <li>popis - `description` (text)</li>
                </ul>

                <p>Každé filtrování volá pouze jeden dotaz do databáze (z databáze se vrátí již vyfiltrované hodnoty bez
                    použití php)</p>

                <p>BONUS 1:</p>

                <p>Část jména co vyhledávám je zvýrazněno např.: Prima <b>Co</b>ol.</p>

                <p>BONUS 2:</p>

                <p>jednoduchý kanálový manažer, pro přidání, editaci a smazání</p>
            </div>
        </div>
    </div>
</section>

<style>
</style>
